libsearchclient0_0.7.8-1.2+b2_amd64.deb


Advertisement

Description

libsearchclient0 - searchclient library for Strigi Desktop Search

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libsearchclient0
Package version 0.7.8
Package release 1.2+b2
Package architecture amd64
Package type deb
Installed size 119 B
Download size 39.42 KB
Official Mirror ftp.br.debian.org
This package is part of Strigi Desktop Search; it contains a library for
writing search clients.
See the 'strigi-daemon' package for more information.

Alternatives

Package Version Architecture Repository
libsearchclient0_0.7.8-1.2+b2_i386.deb 0.7.8 i386 Debian Main
libsearchclient0 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:4.1.1
libstdc++6 >= 4.9

Replaces

Name Value
strigi-daemon << 0.3.11-1

Download

Type URL
Binary Package libsearchclient0_0.7.8-1.2+b2_amd64.deb
Source Package strigi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsearchclient0 deb package:
    # sudo apt-get install libsearchclient0

Files

Path
/usr/lib/libsearchclient.so.0
/usr/lib/libsearchclient.so.0.7.8
/usr/share/doc/libsearchclient0/changelog.Debian.amd64.gz
/usr/share/doc/libsearchclient0/changelog.Debian.gz
/usr/share/doc/libsearchclient0/changelog.gz
/usr/share/doc/libsearchclient0/copyright

Changelog

2014-05-16 - Reinhard Tartler <siretart@tauware.de>
strigi (0.7.8-1.2) unstable; urgency=medium
* Non-maintainer upload.
* Upload to unstable (Closes: #739442)
2014-03-19 - Reinhard Tartler <siretart@tauware.de>
strigi (0.7.8-1.1) experimental; urgency=low
* Non-maintainer upload.
* Add libav10.patch and build against libav10 (Closes: #739442)
2013-08-05 - Pino Toscano <pino@debian.org>
strigi (0.7.8-1) unstable; urgency=low
* Team upload.
* New upstream release.
[ Maximiliano Curia ]
* Remove patches applied upstream:
- upstream_gcc47-fix-unistd.h-header-required-unconditionally-f.patch
- id3_crash_fix.diff
* Bump Standards-Version to 3.9.4.
* Add myself to uploaders.
* Update vcs fields.
* Avoid symbols for internal so files.
* Add a watch file.
* New patch: deepgrep_mayhem_fix.diff (Closes: #715819) fix for
http://www.forallsecure.com/bug-
reports/18bb7c6dfe2b4ae87a2937f9678b812bb1bd5c8d/
[ Pino Toscano ]
* Force the libdir to the non-multiarch path, to keep compatibility with
what has been done so far.
* Update libstreams-dev.install to not rely on a specific cmake build type.
(Closes: #707525)
* Bump cmake build dependency to 2.8.9, as requested by the upstream build
system.
* Minor touches to some descriptions, including a typo fix.
(Closes: #680641)
* Update .install files.
* Require clucene >= 2, and adapt strigi-daemon.install to the new indexer
(lucene2indexer instead of luceneindexer). (Closes: #718373)
* Explicitly build depend on pkg-config, instead of relying on it being
installed by something else.
* Link in as-needed mode.
2012-06-24 - Sune Vuorela <sune@debian.org>
strigi (0.7.7-3) unstable; urgency=low
* Team upload
* Backport a patch I wrote for upstream to fix a crash when parsing mp3
files. (Closes: #678698)
2012-05-08 - Pino Toscano <pino@debian.org>
strigi (0.7.7-2) unstable; urgency=low
* Team upload.
* Bump Standards-Version to 3.9.3, no changes required.
* rules: use make functions to filter the list of libraries.
* Bump to debhelper compat 9:
- bump debhelper build dependency to >= 9
- bump compat to 9
* Revert the changes done in 0.7.7-1.1, as now with dh compat 9 the build
flags are properly exported and used.
* rules: explicitly disable the XSD regeneration (which uses java).
* copyright: explicitly refer to /usr/share/common-licenses/GPL-2 instead of
/usr/share/common-licenses/GPL.
* Backport upstream commit a8e97f672325557b3fbc84b987299350ec5ac10b (from the
strigidaemon repository) to fix build with GCC 4.7; patch
upstream_gcc47-fix-unistd.h-header-required-unconditionally-f.patch.
(Closes: #667384)
* Encode also the SONAME in .install files of libraries.
* Remove the symbols files for libsearchclient0, libstrigihtmlgui0, and
libstrigiqtdbusclient0, since they are not really worth to maintain
(the libraries are not really used), and autogenerated shlibs should be
enough for them. (Closes: #671850)
2012-03-03 - Neil Williams <codehelp@debian.org>
strigi (0.7.7-1.1) unstable; urgency=low
* Non-maintainer upload.
* Apply patch from Thomas Weber <tweber@debian.org> to
enable builds with debug symbols. (Closes: #659893)
2011-12-31 - Fathi Boudra <fabo@debian.org>
strigi (0.7.7-1) unstable; urgency=low
* New upstream release.
* Drop Revert_patch_that_breaks_parsing_of_PDF_files.patch - stolen upstream.
* Switch to pkg-kde symbolshelper.
* Update debian/*.symbols files for amd64 and i386 architectures.
(Closes: #653804)
2011-09-23 - Fathi Boudra <fabo@debian.org>
strigi (0.7.6-2) unstable; urgency=low
* Add Revert_patch_that_breaks_parsing_of_PDF_files.patch from upstream.
(Closes: #642318)
* Improve strigi-daemon descritpion. (Closes: #571297)

See Also

Package Description
libseaudit-dev_3.3.8-3.1_amd64.deb Security Enhanced Linux audit message parser development
libseaudit4_3.3.8-3.1_amd64.deb Security Enhanced Linux audit message parsing library
libseccomp-dev_2.1.1-1_amd64.deb high level interface to Linux seccomp filter (development files)
libseccomp2_2.1.1-1_amd64.deb high level interface to Linux seccomp filter
libsecret-1-0_0.18-1+b1_amd64.deb Secret store
libsecret-1-dev_0.18-1+b1_amd64.deb Secret store (development files)
libsecret-common_0.18-1_all.deb Secret store (common files)
libsecret-tools_0.18-1+b1_amd64.deb tool for storing and retrieving GObject passwords
libsefs-dev_3.3.8-3.1_amd64.deb Security Enhanced Linux file context management development
libsefs4_3.3.8-3.1_amd64.deb Security Enhanced Linux file context management
libsegment-java_1.3.5~svn57+dfsg-1.1_all.deb Rule based text splitting library
libselinux1-dev_2.3-2_amd64.deb SELinux development headers
libselinux1_2.3-2_amd64.deb SELinux runtime shared libraries
libsemanage-common_2.3-1_all.deb Common files for SELinux policy management libraries
libsemanage1-dev_2.3-1+b1_amd64.deb Header files and libraries for SELinux policy manipulation
Advertisement
Advertisement